# MiniX 5 - Auto generative pattern

RunMe: https://thelmasif.v5.gitlab.io/aesthetic-programming/MiniX5/

<img src="MiniX5.jpg" width="300" height="300"> <img src="MiniX5.2.jpg" width="300" height="300">

The rules in the program are: Transparent circles overlapping to fill up the whole canvas, in random colors. 
As you start the program you see transparent circles appear and overlap on the screen, they keep stacking up and will soon reveal a pattern that plays with shapes and color. With these simple rules the program created not only circles but by looking at the end result you see a more complex pattern. I have taken a few courses in color theory and this pattern reminds me of practices of mixing colors and the “Goethe triangle”. 
Before starting I actually had different kinds of rules in mind and I envisioned a much more random pattern, not so structured like the result turned out to be. But as I worked on the code the idea evolved in that direction and I am happy that it did. I got huge inspiration from Saskia Freeke's “Daily art” project where she created daily generative patterns and animations. I like how she played around with geometric shapes and colors to create something more complex. 

The syntax’s I used was e.g. random for the colors and I declared the range of colors to my liking, I wanted the colors to be kind of pastel colors. I also used a syntax I haven’t used before vp and hp which declare the vertical and horizontal points of the shapes. It was useful to make the circles show up one at a time and then I used frameRate 50 to make the pattern appear quickly but still you see it building up. I used a conditional statement “if” to make it fit inside the canvas.

I think my MiniX succeeded in the sense of having simple rules to create a more complex pattern. Even though it’s very structured it’s still very interesting to look at. I could have taken this a little further in being auto-generative, because the only thing that the program generates are the colors, the shapes are always the same. There are also so many different ways to look at the pattern. You could see a bunch of four leaved flowers, or you could see a bunch of star shapes or simply you see circles. I personally see all of those things depending on what I focus on. 

<img src="Pattern.PNG" width="120" height="100"> <img src="Pattern2.PNG" width="120" height="100">

Auto generating via code can be so helpful in so many ways. In my research before this MiniX and in relation to some of the things we talked about in software studies on NFTs, auto generations are hugely popular amongst making a lot of NFTs in the shortest way. For example the “Bored ape” NFTs which are being sold for millions of dollars are actually auto generated by creating the different elements, like acessories, facial expressions, colors and more, then the computer can randomise a lot of different combinations ready to be sold as individual NFTs. I am very interested in learning more about generative art because I think it will be very useful. 


### References:
Color transparancy: https://p5js.org/learn/color.html
https://youtu.be/y4h9GSYUcmE
